#! /usr/bin/perl

use strict;
require( "./configureEspresso.pl" );

my @BRAIN = (

	{
      rpms => {
              'elastix' => "2",
              'asterisk' => "1.6",
	      'queuemetrics' => "1.7.0.0"
      },
      filedir => "./elastix-2.0-qm-1.7-ast-1.6"
	}


);


my @PACKAGES = ( "asterisk", "elastix", "queuemetrics", "freePBX", "qloaderd" );
my $localRpmPtr = checkRpms( @PACKAGES );
my $brainPtr = matchVersion( \@BRAIN, $localRpmPtr );
my $dirSelected = ${$brainPtr}{'filedir'};
my $settings = parmsRpm( $localRpmPtr );

`/usr/bin/wget -O- "http://queuemetrics.loway.ch/quickInstallversion.jsp?settings=$settings&choice=$dirSelected" 2> /dev/null`;

if ( length( $dirSelected ) > 0 ) {
	#my $runFile = "${dirSelected}/install.sh";
	#print "Running $runFile ...\n";
	system( "cd $dirSelected; ./install.sh" );
} else {
	#print "Not found.";
	system( "./notFound.sh" );
}


 


